Subject: Re: bug#41708: "guix weather" : 504 error

From: Christopher Baines <[email-masked]>
Date: Sat, 13 Jun 2020 17:23:46 +0100

zimoun <[email-masked]> writes:

> On Tue, 09 Jun 2020 at 22:12, Christopher Baines <[email-masked]> wrote:
>
>> So I think I've got a patch [1] to Cuirass to "fix" this.
>>
>> 1: https://lists.gnu.org/archive/html/guix-devel/2020-06/msg00117.html
>
> [...]
>
>> I believe that searching the table using an index is going to be faster
>> than scanning the table, and testing locally and on bayfront suggests
>> this will resolve the performance issue.
>
> Is the patch installed on Bayfront?
> If yes, I still see 'returned 504 ("Gateway Time-out")' when quering
> Bayfront as '--substitute-urls'.
> If no, is it possible to install it? for testing it in "real life".
>
>
> Cheers,
> simon
>
> ps:
> It is an old request because I complained [1] about it one year ago.
> Maybe something related to the summer coming. ;-)
>
> 1: https://lists.gnu.org/archive/html/help-guix/2019-05/msg00355.html

I've now deployed the change to Bayfront, let me know if you see a
difference? :)

Thanks,

Chris